Page MenuHomePhabricator

Preference "Email me on replies to a thread I am watching" is false by default
Open, HighPublic

Description

Contrary to what [[mw:Manual:$wgDefaultUserOptions]] says, lqt-watch-threads is unchecked on a fresh account on translatewiki.net. There are no local configs for this.
This is obviously wrong, goes against what intended (per docs), is greatly counter-intuitive and breaks translators signup workflow because translators expect an email notification of some sort after being approved (see URL).

I'm not sure the variable even exists any longer in the code (gitweb's grep didn't find it), maybe it got lost in some refactoring.
However, now that bug 39513 is fixed this should not have nasty consequences.


Version: master
Severity: enhancement
URL: https://translatewiki.net/wiki/Thread:Translating_talk:Etherpad_lite/2_french_translations_to_modify/reply_(2)

Details

Reference
bz47000

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:21 AM
bzimport set Reference to bz47000.
bzimport added a subscriber: Unknown Object (MLST).

Related URL: https://gerrit.wikimedia.org/r/58053 (Gerrit Change I2d14d89bda721907720fb8fc4a16e269d73563c3)

(In reply to comment #0)

Contrary to what [[mw:Manual:$wgDefaultUserOptions]] says, lqt-watch-threads [...]

Ahem, sorry, I looked in the wrong place. The preference in bug summary is obviously lqtnotifytalk which is the one false by default which we couldn't set to true due to bug 39513.

Jdforrester-WMF lowered the priority of this task from High to Lowest.Aug 4 2016, 11:34 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Nemo_bis raised the priority of this task from Lowest to High.Aug 5 2016, 7:34 AM

@Nemo_bis Don't you think that your "raise priority again" actions are too simple to be useful? As your last patch to fix this problem is abandoned, it should be expected that you withdrawn the effort to fix this issue, so why you raised it to High again, just because you think it should be High?

I've restored the priority field to the last known-good level. The scale of priorities is based on a comprehensive assessment of the overall status of the component in relation to the needs of the most relevant users and developers. It can be revised if there is new information, sure. Do you have any to provide?

Checking the box no longer does anything either -- after checking the box and pressing "Save", when preferences are reloaded it is set to false again.

Nikerabbit added a subscriber: Nikerabbit.

I found this in our config:

# Disabled 2012-08-20 / Nike / Too spammy/buggy.
# $wgDefaultUserOptions['lqtnotifytalk'] = true;